:root {
    --background-color: #fefefe;
    --body-label-color: #778;
    --frmAuth-border: 2px solid #e6e6e6;
    --frmAuth-background-color: #fff;
    --divHeader-background: linear-gradient(to bottom, #f1f3f5 90%, #e3e5e7 100%);
    --divHeader-span-color: #778;
    --divHeader-span-text-shadow: #fff 2px 1px 0;
    --messageLabel-color: #fc7777;
    --messageLabel-button-border: 1px solid #666;
    --messageLabel-button-background-color: #eee;
    --messageLabel-button-color: #666;
    --input-color: #000;
    --input-background-color: #fff;
    --input-border: 1px solid #aebacd;
    --input-readonly-background-color: #f5f5f5;
    --input-focus-outline: 1.6px solid #80bdff;
    --error-border-color: #fc7777;
}

    :root[data-theme="dark"] {
        --background-color: #000;
        --body-label-color: #b0b1b3;
        --frmAuth-border: 2px solid #202226;
        --frmAuth-background-color: #141619;
        --divHeader-background: linear-gradient(to bottom, #202226 90%, #101215 100%);
        --divHeader-span-color: #eee;
        --divHeader-span-text-shadow: #000 2px 1px 0;
        --messageLabel-button-background-color: #333;
        --messageLabel-button-color: #ccc;
        --input-color: #fff;
        --input-background-color: #000;
        --input-border: 1px solid #333;
        --input-readonly-background-color: #151515;
    }

html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

body {
    font-family: Verdana;
    font-size: 12px;
    background: url('Attachment/auth-background.svg') center center no-repeat;
    background-size: cover;
    background-color: var(--background-color);
    color: var(--body-label-color);
}

#frmAuth {
    width: 90%;
    max-width: 320px;
    border: var(--frmAuth-border);
    background-color: var(--frmAuth-background-color);
    border-radius: 8px;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, .3);
}

#divHeader {
    background: var(--divHeader-background);
    height: 36px;
    margin: -2px;
    border-radius: 8px 8px 0 0;
    border: var(--frmAuth-border);
    border-bottom: 0;
}

    #divHeader > span {
        font-family: Georgia, serif;
        font-size: 16px;
        line-height: 36px;
        vertical-align: bottom;
        padding-left: 16px;
        color: var(--divHeader-span-color);
        text-shadow: var(--divHeader-span-text-shadow);
    }

#MessageLabel {
    color: var(--messageLabel-color);
    display: inline-block;
    font-size: 14px;
    font-family: monospace;
    white-space: nowrap;
    margin: 8px 0 0 16px;
    vertical-align: middle;
    height: 18px;
}

    #MessageLabel > input {
        width: auto;
        height: auto;
        padding: 0 4px;
        border: var(--messageLabel-button-border);
        background-color: var(--messageLabel-button-background-color);
        color: var(--messageLabel-button-color);
        border-radius: 3px;
        cursor: pointer;
        font-family: verdana;
        font-size: 12px;
        vertical-align: baseline;
    }

.lbl, .lbl-user {
    font-size: 12px;
    font-weight: bolder;
    margin: 8px 4px 4px 16px;
}

.lbl-user {
    margin-top: 20px;
}

.elm {
    margin: 2px 16px 8px 16px;
}

.btn {
    margin: 8px 4px;
}

input {
    width: 100%;
    height: 30px;
    padding: 4px 8px;
    color: var(--input-color);
    background-color: var(--input-background-color);
    border: var(--input-border);
    box-sizing: border-box;
    border-radius: 4px;
    font-size: 16px;
    font-family: Calibri;
}

    input[readonly] {
        background-color: var(--input-readonly-background-color);
    }

    input:focus {
        outline: var(--input-focus-outline);
    }

.elError {
    border-color: var(--error-border-color);
}

#btnSubmit {
    width: 40%;
    max-width: 120px;
    height: 34px;
    color: #f6f6f6;
    font-size: 16px;
    font-family: Calibri;
    background-color: #246;
    background-position: center;
    background-repeat: no-repeat;
    float: right;
    margin: 4px 12px 12px 0;
    cursor: pointer;
}

    #btnSubmit:hover, #btnSubmit:focus {
        background-color: #2a70b8;
    }

    #btnSubmit.loading {
        background-image: url('Attachment/loading.gif');
        font-size: 0;
    }

a.lnk-register, a.lnk-signin {
    float: left;
    color: #224466;
    vertical-align: bottom;
    line-height: 24px;
    margin: 8px 4px 4px 20px;
}

a.lnk-directory, a.lnk-facebook, a.lnk-google {
    display: inline-block;
    box-sizing: border-box;
    font-size: 0;
    width: 100%;
    height: 42px;
    border-radius: 4px;
    border: 1px solid #c3c3c3;
    background-repeat: no-repeat;
}

a.lnk-directory {
    background-image: url('sign-directory.png');
    background-color: #00aced;
}

a.lnk-facebook {
    background-image: url('sign-facebook.png');
    background-color: #1877f2;
}

a.lnk-google {
    background-image: url('sign-google.png');
    background-color: #4286f4;
}

#theme-switch {
    position: absolute;
    right: 15px;
    top: -13px;
}

#theme-toggle {
    width: 0;
    height: 0;
    visibility: hidden;
}

    #theme-toggle:checked + .theme-mode {
        background: #ebebeb;
    }

        #theme-toggle:checked + .theme-mode::after {
            left: 58px;
            transform: translateX(-100%);
            background: linear-gradient(180deg,#777,#3a3a3a);
        }

        #theme-toggle:checked + .theme-mode > img.sun {
            fill: #7e7e7e;
        }

        #theme-toggle:checked + .theme-mode > img.moon {
            fill: #fff;
        }

.theme-mode {
    width: 60px;
    height: 30px;
    position: relative;
    display: block;
    background: #242424;
    border-radius: 200px;
    box-shadow: inset 0px 5px 15px rgba(0, 0, 0, 0.4), inset 0px -5px 15px rgba(255, 255, 255, 0.4);
    cursor: pointer;
}

    .theme-mode::after {
        content: "";
        width: 26px;
        height: 26px;
        position: absolute;
        top: 2px;
        left: 2px;
        background: linear-gradient(59deg, #282828, #000000);
        border-radius: 180px;
        box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.2);
        z-index: 999;
    }

    .theme-mode, .theme-mode::after {
        transition: 0.3s;
    }

        .theme-mode > img {
            position: absolute;
            width: 20px;
            top: 5px;
            z-index: 100;
        }

            .theme-mode > img.sun {
                left: 7px;
                fill: #fff;
                transition: 0.3s;
            }

            .theme-mode > img.moon {
                left: 35px;
                fill: #7e7e7e;
                transition: 0.3s;
            }